Book Transfer
Create a book transfer
A book transfer is a transaction between two Column accounts that you own. They can happen instantly and can be sent 24 hours a day, 7 days a week. Both accounts need to be under your platform, but don't need to be under the same entity. Alternatively, you can send a book transfer in two steps, using the "hold" parameter and "clear" method. Book transfers in a "hold" state can be updated and canceled. There is no reversal functionality for book transfers. Simply swap the sender_account_number_id and receiver_account_number_id and repeat the request.
Body Parameters
allow_overdraft
booleanOptionalAllow the account to go negative for the transfer. The bank account needs to have is_overdraftable enabled with an overdraft reserve account linked to it.
amount
numberRequiredAmount (in cents) of the funds that will be transferred between sender and receiver accounts. e.g. $1.75 would be represented by 175.
currency_code
stringRequiredThe three-letter currency code defined in ISO 4217. e.g. USD.
description
stringOptionalA description of the transfer visible in account statements.
details
objectOptionalAdditional monitoring details for the book transfer, used for compliance and reporting purposes.
address
objectOptionalAddress associated with the transfer for compliance and reporting purposes
city
stringOptionalCity name (max 255 characters)
country_code
stringOptionalTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringOptionalStreet address line 1 (max 255 characters)
line_2
stringOptionalStreet address line 2 (max 255 characters)
postal_code
stringOptionalPostal or ZIP code (max 24 characters)
state
stringOptionalState or province (max 255 characters)
authorization_method
stringOptionalThe authorization method used for the transfer
fx_amount
integerOptionalForeign exchange amount in the smallest unit of the foreign currency
fx_currency
stringOptionalThree-letter ISO 4217 currency code for the foreign exchange currency
internal_transfer_type
stringOptionalType of internal transfer for compliance categorization
merchant_category_code
stringOptionalMerchant category code (MCC) for the transfer
merchant_name
stringOptionalName of the merchant associated with the transfer
sender_name
stringOptionalName of the sender for compliance and reporting purposes
statement_description
stringOptionalDescription that appears on the bank account statement
website
stringOptionalWebsite URL associated with the transfer
hold
booleanOptionalIf set to true, the transfer will be created in a HOLD status instead of completing immediately.
receiver_account_number_id
stringOptionalID of the account number that will receive the transfer.
receiver_bank_account_id
stringOptionalID of the bank account that will receive the transfer.
sender_account_number_id
stringOptionalID of the account number that is sending the transfer.
sender_bank_account_id
stringOptionalID of the bank account that is sending the transfer.